function [snimek_vysledny_posunuty]=posunuti_snimku(snimek1,posX,posY)              %funkce realizující posun snímku
snimek1=double(snimek1);                                                            %snímek je převeden do formátu double
[height,width]=size(snimek1);                                                       %velikost snímku
[souradniceX,souradniceY] = meshgrid(1:width,1:height);                             %vytvoření mřížky
XI = souradniceX + posX;                                                            %posun v ose x
YI = souradniceY + posY;                                                            %posun v ose y
snimek_vysledny_posunuty = interp2(souradniceX,souradniceY,snimek1,XI,YI);          %posun užitím interpolace

